Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
[Java] Class ClosureRenderer

    java.lang.Object
      groovy.swing.impl.ClosureRenderer

All Implemented Interfaces:
  javax.swing.ListCellRenderer, javax.swing.table.TableCellRenderer, javax.swing.tree.TreeCellRenderer

    public class ClosureRenderer

Authors:
  Danno.Ferrin

Constructor Summary
`ClosureRenderer()`
`ClosureRenderer(Closure c)`

Method Summary
`java.awt.List` | `getChildren()`
`int` | `getColumn()`
`javax.swing.JList` | `getList()`
`java.awt.Component` | `getListCellRendererComponent(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean cellHasFocus)`
`int` | `getRow()`
`javax.swing.JTable` | `getTable()`
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)`
`javax.swing.JTree` | `getTree()`
`java.awt.Component` | `getTreeCellRendererComponent(javax.swing.JTree tree, java.lang.Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)`
`Closure` | `getUpdate()`
`java.lang.Object` | `getValue()`
`boolean` | `isDefaultRenderer()`
`boolean` | `isExpanded()`
`boolean` | `isFocused()`
`boolean` | `isLeaf()`
`boolean` | `isSelected()`
`boolean` | `isTableHeader()`
`void` | `setTableHeader(boolean tableHeader)`
`void` | `setUpdate(Closure update)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClosureRenderer

    public ClosureRenderer()

### ClosureRenderer

    public ClosureRenderer(Closure c)

Method Detail

### getChildren

    public java.awt.List getChildren()

### getColumn

    public int getColumn()

### getList

    public javax.swing.JList getList()

### getListCellRendererComponent

    public java.awt.Component getListCellRendererComponent(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean cellHasFocus)

### getRow

    public int getRow()

### getTable

    public javax.swing.JTable getTable()

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)

### getTree

    public javax.swing.JTree getTree()

### getTreeCellRendererComponent

    public java.awt.Component getTreeCellRendererComponent(javax.swing.JTree tree, java.lang.Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)

### getUpdate

    public Closure getUpdate()

### getValue

    public java.lang.Object getValue()

### isDefaultRenderer

    public boolean isDefaultRenderer()

### isExpanded

    public boolean isExpanded()

### isFocused

    public boolean isFocused()

### isLeaf

    public boolean isLeaf()

### isSelected

    public boolean isSelected()

### isTableHeader

    public boolean isTableHeader()

### setTableHeader

    public void setTableHeader(boolean tableHeader)

### setUpdate

    public void setUpdate(Closure update)

Groovy Documentation